package com.jiuqi.mde;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.sql.PreparedStatement;
import java.sql.SQLException;

class StatementCache {
  PreparedStatement updateStatement;
  
  PreparedStatement insertStatement;
  
  PreparedStatement deleteStatement;
  
  PreparedStatement updateByIdentyStatement;
  
  PreparedStatement deleteByIdentyStatement;
  
  public void clear() {
    this.updateStatement = null;
    this.insertStatement = null;
    this.deleteStatement = null;
    this.updateByIdentyStatement = null;
    this.deleteByIdentyStatement = null;
  }
  
  public void close() throws SQLException {
    if (this.updateStatement != null) {
      PreparedStatement temp = this.updateStatement;
      temp.close();
    } 
    if (this.insertStatement != null) {
      PreparedStatement temp = this.insertStatement;
      temp.close();
    } 
    if (this.deleteStatement != null) {
      PreparedStatement temp = this.deleteStatement;
      temp.close();
    } 
    if (this.updateByIdentyStatement != null) {
      PreparedStatement temp = this.updateByIdentyStatement;
      temp.close();
    } 
    if (this.deleteByIdentyStatement != null) {
      PreparedStatement temp = this.deleteByIdentyStatement;
      temp.close();
    } 
  }
}
